Bug 1362451 - Impress consistently crashing on cut/copy and paste
Summary: Impress consistently crashing on cut/copy and paste
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1365841 1369759 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-02 08:43 UTC by Langdon White
Modified: 2017-08-03 18:55 UTC (History)
10 users (show)

Fixed In Version: libreoffice-5.1.5.2-8.fc24 libreoffice-5.2.2.1-5.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-25 00:22:24 UTC


Attachments (Terms of Use)

Description Langdon White 2016-08-02 08:43:42 UTC
Description of problem:

When copy/cut and pasting in Impress and with gpaste-daemon running, impress pretty consistently crashes without error.

Version-Release number of selected component (if applicable):
gpaste.x86_64 3.20.4-1.fc24
gpaste-libs.x86_64 3.20.4-1.fc24
gpaste-ui.x86_64 3.20.4-1.fc24 
libreoffice-impress.x86_64 1:5.1.5.1-2.fc24 

How reproducible:

Pretty consistent but you have to do a few operations. Usually resolved if you kill the gpaste-daemon

Comment 1 Caolan McNamara 2016-08-02 13:44:22 UTC
I'd well believe it. Those clipboard managers are always toxic. That said I don't have a crash yet with it now installed, but I do have a 100% busy gpaste-daemon

Comment 2 Caolan McNamara 2016-08-16 08:35:55 UTC
*** Bug 1365841 has been marked as a duplicate of this bug. ***

Comment 3 Caolan McNamara 2016-08-29 08:15:26 UTC
*** Bug 1369759 has been marked as a duplicate of this bug. ***

Comment 4 Didier 2016-09-06 07:59:10 UTC
Confirmed with Calc :

libreoffice-calc-5.1.5.2-3.fc24.x86_64
gpaste-3.20.4-1.fc24.x86_64


My conclusion from comment #1 :
# dnf remove gpaste

(strange though, that - from anecdotal evidence - the crashes only occur in LibreOffice).

Comment 6 Steven Bakker 2016-09-09 08:21:10 UTC
It also happens in Writer. I don't even have to copy/cut/paste anything. Just selecting something (primary selection", I believe) can cause the crash, even if I tell GPaste to not track the primary selection.

Symptom is typically: frozen LO, GPaste daemon using 100% CPU for a bit, then abrt-hook kicking in, then LO goes bye-bye.

I tried using the LibreOffice Fresh installs directly from the LibreOffice site, but I get the same results:

  gpaste-3.20.4-1.fc24.x86_64

  libreoffice5.2-5.2.0.4-4.x86_64

Issue goes away when I disable GPaste.

Not sure who or what is to blame here. Obviously, there's something funky in the clipboard interaction, and the presence of GPaste triggers that. Still, no other software seems to crash, so it might just be a bug in LO.

Just saw that LO 5.2.1 is out, will try with that one (one can always hope).

Comment 7 Steven Bakker 2016-09-12 05:54:18 UTC
Upgraded to libreoffice5.2-5.2.1.2-2.x86_64 from the LO site. GPaste is enabled. No crashes so far...

Comment 8 Caolan McNamara 2016-09-20 11:01:22 UTC
What I see locally is a recursive ownership change problem. Lets see if that's everyone elses problem as well.

Comment 9 Fedora Update System 2016-09-22 09:56:04 UTC
libreoffice-5.2.2.1-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d959f4b5ec

Comment 10 Fedora Update System 2016-09-23 05:24:46 UTC
libreoffice-5.2.2.1-5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-aa4fa71f75

Comment 11 Fedora Update System 2016-09-23 08:01:47 UTC
libreoffice-5.1.5.2-8.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b959985a03

Comment 12 Fedora Update System 2016-09-25 00:22:24 UTC
libreoffice-5.1.5.2-8.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-09-27 00:33:15 UTC
libreoffice-5.2.2.1-5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Josh Berkus 2017-08-03 04:57:09 UTC
I confirm that this issue is still a problem in Fedora 25.

Comment 15 Josh Berkus 2017-08-03 04:57:49 UTC
Except ... now it's gpaste which crashes.  Impress just hangs.

Comment 16 Steven Bakker 2017-08-03 13:52:26 UTC
Weird. Haven't tried Impress in a while. No issues in Writer atm. though.

Random thought: the whole clipboard stuff is handled through dbus, right? Could there be some underlying issue in dbus? Is there any way to snoop/debug what is being sent...?

Comment 17 Caolan McNamara 2017-08-03 16:08:39 UTC
Its currently August 2017 and the discussion is now "gpaste crashing" in a bug about "Impress crashing" that was closed in September 2016. I suggest opening a new bug for the new specific problem of gpaste crashing.

Comment 18 Josh Berkus 2017-08-03 18:55:04 UTC
Symptoms seem very similar to the bug above, but I'm happy to open a new one.


Note You need to log in before you can comment on or make changes to this bug.